summaryrefslogtreecommitdiffstats
path: root/games/voxelands
diff options
context:
space:
mode:
author Andrew Conway <mcnalu@mcnalu.net>2014-09-22 18:57:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-25 17:01:40 +0700
commit471bf1efa95fabb6ddf31449968ee54e9df95987 (patch)
tree2bfd31651ad6f6facc26e2552d770b7b292ef882 /games/voxelands
parent2ae60faa07c89cc170179a08795c835ed74d5014 (diff)
downloadslackbuilds-471bf1efa95fabb6ddf31449968ee54e9df95987.tar.gz
slackbuilds-471bf1efa95fabb6ddf31449968ee54e9df95987.tar.xz
games/voxelands: Added (Infinite-world block sandbox game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/voxelands')
-rw-r--r--games/voxelands/README6
-rw-r--r--games/voxelands/doinst.sh13
-rw-r--r--games/voxelands/slack-desc19
-rw-r--r--games/voxelands/voxelands.SlackBuild94
-rw-r--r--games/voxelands/voxelands.info10
5 files changed, 142 insertions, 0 deletions
diff --git a/games/voxelands/README b/games/voxelands/README
new file mode 100644
index 0000000000..03d59ba4c7
--- /dev/null
+++ b/games/voxelands/README
@@ -0,0 +1,6 @@
+Voxelands is an infinite-world block sandbox game and a game engine,
+forked from minetest, inspired by InfiniMiner, Minecraft and the like.
+It is Free and Open Source Software, released under the GPL 3 or later.
+available for Windows, Mac OS X and Linux. Voxelands differs from mintest
+in that it does not have advanced support for mods, but instead aims to offer
+a more immediately playable, efficient and balanced game.
diff --git a/games/voxelands/doinst.sh b/games/voxelands/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/games/voxelands/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/voxelands/slack-desc b/games/voxelands/slack-desc
new file mode 100644
index 0000000000..4661bb75e0
--- /dev/null
+++ b/games/voxelands/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+voxelands: voxelands (Infinite-world block sandbox game)
+voxelands:
+voxelands: Voxelands is an infinite-world block sandbox game,
+voxelands: inspired by InfiniMiner, Minecraft and the like. It is a fork
+voxelands: of minetest and offers a more immediately playable game by
+voxelands: including more built-in features instead of minetest's advanced
+voxelands: support for mods.
+voxelands:
+voxelands: Homepage: http://voxelands.com
+voxelands:
+voxelands:
diff --git a/games/voxelands/voxelands.SlackBuild b/games/voxelands/voxelands.SlackBuild
new file mode 100644
index 0000000000..6d477a4e93
--- /dev/null
+++ b/games/voxelands/voxelands.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for voxelands
+
+# Adapted for voxelands by Andrew Conway mcnalu@mcnalu.net
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=voxelands
+VERSION=${VERSION:-1408.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -DRUN_IN_PLACE=0 \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release .
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.txt doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/voxelands/voxelands.info b/games/voxelands/voxelands.info
new file mode 100644
index 0000000000..adaf45b91c
--- /dev/null
+++ b/games/voxelands/voxelands.info
@@ -0,0 +1,10 @@
+PRGNAM="voxelands"
+VERSION="1408.00"
+HOMEPAGE="http://voxelands.com/"
+DOWNLOAD="http://www.voxelands.com/downloads/voxelands-1408.00-src.tar.bz2"
+MD5SUM="ec2bd1b9c4e6b0c9844c7a0501e15b2e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL irrlicht"
+MAINTAINER="Andrew Conway"
+EMAIL="mcnalu@mcnalu.net"